ModelReport.Format (Gradle API 2.14.1)

org.gradle.api.reporting.model

## Enum ModelReport.Format

- java.lang.Object
- - java.lang.Enum<ModelReport.Format>
  - - org.gradle.api.reporting.model.ModelReport.Format

- All Implemented Interfaces:
    Serializable, Comparable<ModelReport.Format>
  Enclosing class:
    ModelReport

      public static enum ModelReport.Format
      extends Enum<ModelReport.Format>

  The report format.
  - full (default value) will show details about types, rules and creators
  - short will only show nodes and their values

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FULL`
    `SHORT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ModelReport.Format` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ModelReport.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FULL

          public static final ModelReport.Format FULL

    - #### SHORT

          public static final ModelReport.Format SHORT

  - ### Method Detail

    - #### values

          public static ModelReport.Format[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ModelReport.Format c : ModelReport.Format.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ModelReport.Format valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null